package bilancr;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class SuborovaPolozkaDao implements PolozkaDao {

    @Override
    public void uloz(Polozka polozka) {
        File subor = new File("polozky.txt");
        try {            
            FileWriter fw = new FileWriter(subor, true);
            PrintWriter suborWriter = new PrintWriter(fw);
            suborWriter.println(polozka);
            suborWriter.close();
        } catch (FileNotFoundException e) {
            throw new UkladanieZlyhaloException("Subor sa nenasiel: " + subor, e);
        } catch (IOException e) {
            throw new UkladanieZlyhaloException("Ulozenie zlyhalo kvoli V/V chybe.", e);
        }
    }
    
}
